<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

return [
    // +----------------------------------------------------------------------
    // | 数据库连接池配置 - 读写分离
    // +----------------------------------------------------------------------
    # 读
    // 最小连接数
    'pool_read_min' => 10,
    // 最大连接数
    'pool_read_max' => 100,
    // 空闲连接回收时间
    'pool_read_spare_time' => 3600,
    # 写
    // 最小连接数
    'pool_write_min' => 10,
    // 最大连接数
    'pool_write_max' => 100,
    // 空闲连接回收时间
    'pool_write_spare_time' => 3600,

    // +----------------------------------------------------------------------
    // | 数据库配置 - 读 - 注意：会循环使用配置创建连接池
    // +----------------------------------------------------------------------
    'pool_read_dabase' => [
        [
            'host'     => '127.0.0.1', // 地址
            'port'     => '3306', // 端口
            'user'     => 'root', // 用户名
            'password' => 'root', // 密码
            'database' => 'websocket', // 库
            'charset'  => 'utf8mb4', // 字符集
            'timeout'  => 10, // 连接超时时间
        ],
    ],
    // +----------------------------------------------------------------------
    // | 数据库配置 - 写 - 注意：会循环使用配置创建连接池
    // +----------------------------------------------------------------------
    'pool_write_dabase' => [
        [
            'host'     => '127.0.0.1', // 地址
            'port'     => '3306', // 端口
            'user'     => 'root', // 用户名
            'password' => 'root', // 密码
            'database' => 'websocket', // 库
            'charset'  => 'utf8mb4', // 字符集
            'timeout'  => 10, // 连接超时时间
        ],
    ],
];
